"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = _default;

var _renderer = _interopRequireDefault(require("./mixins/renderer"));

var _rules = _interopRequireDefault(require("./mixins/rules"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; var ownKeys = Object.keys(source); if (typeof Object.getOwnPropertySymbols === 'function') { ownKeys = ownKeys.concat(Object.getOwnPropertySymbols(source).filter(function (sym) { return Object.getOwnPropertyDescriptor(source, sym).enumerable; })); } ownKeys.forEach(function (key) { _defineProperty(target, key, source[key]); }); } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

function _default(md, target, opts = {}) {
  const options = _objectSpread({
    incrementalizeDefaultRules: true
  }, opts);

  const incrementalDOM = !target && window ? window.IncrementalDOM : target;
  const mixin = (0, _renderer.default)(incrementalDOM);
  Object.defineProperty(md, 'IncrementalDOMRenderer', {
    get() {
      const extended = Object.assign(Object.create(Object.getPrototypeOf(md.renderer)), md.renderer, mixin);

      if (options.incrementalizeDefaultRules) {
        extended.rules = _objectSpread({}, extended.rules, (0, _rules.default)(incrementalDOM));
      }

      return extended;
    }

  });

  md.renderToIncrementalDOM = (src, env = {}) => md.IncrementalDOMRenderer.render(md.parse(src, env), md.options, env);

  md.renderInlineToIncrementalDOM = (src, env = {}) => md.IncrementalDOMRenderer.render(md.parseInline(src, env), md.options, env);
}